﻿@model AEWeb.ViewModels.Test.TestAjaxViewModel

<div id="markervc"></div>
@(Html.Kendo().ComboBox()
        .Name("combobox")
        .DataTextField("regionname")
        .DataValueField("regionid")
        .DataSource(source => {
            source.Read(read =>
            {
                read.Action("Region_Read", "Test");
            });
        })
        .Events(e => e
            .Change("onRegionChange")
        )
    )
<h1>Elegido: @Model.Value</h1>

<script type="text/javascript">
    function onRegionChange() {
        var combobox = $("#combobox");
        var selectedIndex = combobox.getKendoComboBox().select();
        var regionName = combobox.getKendoComboBox().dataItem().regionname;
        $('#markervc').parent().load('OnlyVC', { 'value': regionName });
    }
</script>